TestSSLUtils (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.ssl

## Class TestSSLUtils

- java.lang.Object
- - org.apache.geode.cache.ssl.TestSSLUtils

-     public class TestSSLUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TestSSLUtils.CertificateBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSSLUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createKeyStore(java.lang.String filename, java.lang.String password, java.lang.String alias, java.security.Key privateKey, java.security.cert.Certificate cert)`
    `static <T extends java.security.cert.Certificate> void` | `createTrustStore(java.lang.String filename, java.lang.String password, java.util.Map<java.lang.String,T> certs)`
    `static java.security.KeyPair` | `generateKeyPair(java.lang.String algorithm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSSLUtils

          public TestSSLUtils()

  - ### Method Detail

    - #### generateKeyPair

          public static java.security.KeyPair generateKeyPair(java.lang.String algorithm)
                                                       throws java.security.NoSuchAlgorithmException

      Throws:
        `java.security.NoSuchAlgorithmException`

    - #### createKeyStore

          public static void createKeyStore(java.lang.String filename,
                                            java.lang.String password,
                                            java.lang.String alias,
                                            java.security.Key privateKey,
                                            java.security.cert.Certificate cert)
                                     throws java.security.GeneralSecurityException,
                                            java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### createTrustStore

          public static <T extends java.security.cert.Certificate> void createTrustStore(java.lang.String filename,
                                                                                         java.lang.String password,
                                                                                         java.util.Map<java.lang.String,T> certs)
                                                                                  throws java.security.GeneralSecurityException,
                                                                                         java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`